Skip to main content

Activation

View as Markdown

GetActivationUrlInfoResponse object​

Get a share activation URL GA​

GET /api/2.1/unity-catalog/public/data_sharing_activation_info/{activation_url}

1 more path

GET /api/2.1/unity-catalog/public/data_sharing_activation_info/metastores/{metastore_id}/{activation_url}

Gets an activation URL for a share.

API scopes: sharing

Parameters​

activation_urlstringRequiredpath

The one time activation url. It also accepts activation token.

Response​

Returns the GetActivationUrlInfoResponse object.

Get an access token GA​

GET /api/2.1/unity-catalog/public/data_sharing_activation/{activation_url}

1 more path

GET /api/2.1/unity-catalog/public/data_sharing_activation/metastores/{metastore_id}/{activation_url}

Retrieve access token with an activation url. This is a public API without any authentication.

API scopes: sharing

Parameters​

activation_urlstringRequiredpath

The one time activation url. It also accepts activation token.

Response​

shareCredentialsVersionint32Output only

These field names must follow the delta sharing protocol.

bearerTokenstringOutput only

The token used to authorize the recipient.

endpointstringOutput only

The endpoint for the share to be used by the recipient.

expirationTimestringOutput only

Expiration timestamp of the token in epoch milliseconds.